
aom_playerapi.anim = {}

aom_playerapi.anim._models = {}
local _models = aom_playerapi.anim._models

function aom_playerapi.anim.register_model(name, def)
    def.name = name
    _models[name] = def
end


function aom_playerapi.anim.get_animation(model, action_list)
    local last_anim
    local anim_name = {}
    for l, part in ipairs(model.action_parts) do
        local max = 0
        local max_action = ""
        for i, actions in ipairs(action_list) do
            if actions > max then
            end
        end
    end
end

aom_playerapi.anim.register_model("playerdefault", {
    action_parts = {
        {name="whole", default=""}, -- for anims that override everything, like flying
        {name="stance", default=""}, -- sneak vs stand
        {name="legs", default="idle"}, -- walk vs idle
        {name="arms", default=""}, -- punch vs aim
    },
    animations = {
        standwalkpunch = {
            frames = {1, 20}, speed = 24, blend = 0.1,
        },
    },
})


